namespace Reminesce
{
#ifdef sound48000
	const long samples_per_sec = 48000;
#else
	const long samples_per_sec = 44100;
#endif

							//frames * scanlines * 341/3, -avoid using a float-
const ui clocks_per_secNTSC = 60 * 262 * 341/3;	//1789773;		// 1.79 MHz clock rate
const ui clocks_per_secPAL  = 50 * 312 * 341/3;
//BOOST_STATIC_ASSERT( clocks_per_secNTSC <= 1786840 );

#ifndef noSoundPlz
	extern Nes_Apu apu;
	extern Blip_Buffer blipBuf;
#endif

int initApu();
void uninitApu();
void resetTheApu();

//platform func
void playSound();

}
